Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Altera_Forum
Honored Contributor I
1,190 Views

Could not acquire a valid license for the Intel(R) FPGA SDK for OpenCL(TM).

Hi, 

 

I got this error when I try to compile vector_add program according to the manual. This is the command I use and here is what i got.  

 

[root@machine vector_add]# aoc device/vector_add.cl -o bin/vector_add.aocx --board de5a_net_i2 

 

could not acquire a valid license for the intel(r) fpga sdk for opencl(tm). 

Error: Verilog generator FAILED. 

Refer to vector_add/vector_add.log for details. 

 

I am using CentOS 7.4 and I have Quartus prime 16.1 and Open CL 16.1 installed. I have got the license and set up the env variable and have no problem running the quartus application itself. My only problem is that it doesn't recognize the OpenCL license.  

BTW, I have read the post and the solution given below but it didn't solve my problem! Maybe I am not doing it correctly! It would be nice if someone tell how I have to find the NIC ID to set for the dummy port ? or if you suggest other solutions that can solve the problem. BTW, I tried newer quartus version but I had problem using them with the board I have. It seems 16.1 is the only version that I can install the board.  

https://www.altera.com/support/support-resources/knowledge-base/embedded/2017/why-quartus-opencl-lic...
0 Kudos
4 Replies
Altera_Forum
Honored Contributor I
84 Views

Just to clarify: you have both a Quartus license and an OpenCL SDK license, correct? OpenCL SDK requires additional licensing on top of the Quartus licensing.

Altera_Forum
Honored Contributor I
84 Views

Thanks for reply. Yes. I have both licenses. Opening the license file I can confirm the .dat file includes the license for both Quartus and Open CL.

Altera_Forum
Honored Contributor I
84 Views

 

--- Quote Start ---  

Thanks for reply. Yes. I have both licenses. Opening the license file I can confirm the .dat file includes the license for both Quartus and Open CL. 

--- Quote End ---  

 

 

i installed v16.1 too, and have the same error with U. so I think the openCL 's License is not valided to lead that error
sLi001
Novice
84 Views

Have you solved the problem,I have the same problem with you .

Reply